from setuptools import setup, Extension

setup(
    name="darkop",
    version="1.0.1",  # غير الرقم
    description="DARKOP - Advanced Python Code Encryption",
    ext_modules=[
        Extension(
            "darkop",
            ["darkop/darkop.c"],
            libraries=["z"],
        )
    ],
    packages=["darkop"],
    # إضافة هذه السطر
    options={'bdist_wheel': {'universal': True}},
)